%define oname pyxdg

Name:             python-%{oname}
Version:          0.27
Release:          %mkrel 1
Summary:          Python library to access freedesktop.org standards
License:          LGPLv2
Group:            Development/Python
URL:              http://www.freedesktop.org/Software/pyxdg
Source0:          %{oname}-%{version}.tar.xz
BuildArch:        noarch

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description
PyXDG is a python library to access freedesktop.org standards.

%package -n python3-%{oname}
Summary:	        Python3 library to access freedesktop.org standards
Group:		        Development/Python

%description -n python3-%{oname}
PyXDG is a python library to access freedesktop.org standards.

%prep
%setup -qn %{oname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{oname}
%doc AUTHORS COPYING ChangeLog README TODO
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-*.egg-info


%changelog
* Fri Mar 17 2022 TerryN <terryn94 at gmail.com> 0.27-1pclos2022
- update and rebuild for python 3.10

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 0.26-1pclos2018
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 0.25-3pclos2015
- rebuild on python 3.4.2

* Fri Apr 11 2014 bb <bb> 0.25-2pclos2014
- add python3 support

* Fri Aug 10 2013 billybot <billybot> 0.25-1pclos2013
- update
